Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004065Dwarf FortressDwarf Mode -- Tradepublic2011-02-24 03:102014-12-13 04:44
ReporterAbuDhabi 
Assigned ToKnight Otu 
PrioritynormalSeveritymajorReproducibilityalways
StatusconfirmedResolutionopen 
PlatformLinuxOSDebianOS Version6
Product Version0.31.01 
Target VersionFixed in Version 
Summary0004065: Prisoners, civ members, and (wild?) animals released when brought to Trade Depot
DescriptionCaged creatures which are not tame 'escape' cages when their containers are ordered to be brought for trading at the Trade Depot. Non-tame creatures include enemy prisoners of war - in the provided save file, both goblin thieves and goblin crossbowmen are released in this case. Wild animals in cages suffer from this condition as well.

Curiously enough, caged dwarves who are not prisoners of war (in this case, a dwarf who fell unconscious on a cage trap) are released as well.

Tame animals can be safely brought to the depot for trading.

The save file is here: http://dffd.wimbli.com/file.php?id=3843 [^]
Steps To Reproduce1. Load up the save provided. There should be a caravan available, already at the Depot.
2. Go to the Depot, and mark any of the cages with non-tame animals or prisoners for trading. Note that there are several caged tame animals provided for comparison.
3. Dwarves go get the cages, inadvertently release the captives even as they haul the cages themselves to the Depot.
Additional InformationRelated issues:
http://bay12games.com/dwarves/mantisbt/view.php?id=480 [^]
http://bay12games.com/dwarves/mantisbt/view.php?id=2477 [^]
http://bay12games.com/dwarves/mantisbt/view.php?id=1851 [^]
http://bay12games.com/dwarves/mantisbt/view.php?id=1839 [^]
Tags0.34.06, animals, cages, hauling, Save Included, tame, trade, traders
Attached Files

- Relationships
related to 0002477new Hostiles being transferred between cages get attacked by friends 
has duplicate 0000480resolvedFootkerchief Animals escape cages when they are to be brought to the depot 
has duplicate 0001839closedLogical2u Pitting animal causes release 
has duplicate 0001851closedLogical2u Can't move goblin cage to depot because goblin escapes while cage is moved 
has duplicate 0002384resolvedFootkerchief Dwarves moving caged animals/monsters out of stockpile always results in the creature being released. 
has duplicate 0004306resolvedFootkerchief Moving animal cage to trade depot results in animal being released. 
has duplicate 0008618resolvedKnight Otu Captured blind cave ogres release from cages when moved to trade depot 

-  Notes
(0015472)
AbuDhabi (reporter)
2011-02-24 13:06

While it's noted in the dffd link that the save was made for 0.31.19, it might be worthwhile to add a note about that in the description, now that the Product Version was changed to 0.31.01.
(0016479)
rpetiger (reporter)
2011-03-22 10:32

I wish there was a way to easily search the bug database based on words. I wouldn't post so many duplicates if I could.
(0016480)
Footkerchief (manager)
2011-03-22 10:43

I wish there was a way to easily search the bug database based on words. I wouldn't post so many duplicates if I could.

There is. Go to "View Issues" (link at the top), then enter your search terms in the search box and hit the "Apply Filter" button. You can even do quoted phrases.
(0016481)
jfs (reporter)
2011-03-22 11:14

This seems to me like it's intentional. You probably aren't supposed to be able to trade wild animals nor sentients, so it seems like the game's way of preventing that. It's just a really inconvenient way of doing it.
Either you should be prevented from bringing them to the depot in the first place (like with artifacts), or you should be prevented from selecting them for trade when they are at depot (like stolen goods).
(0016492)
AbuDhabi (reporter)
2011-03-23 08:38

I agree completely, jfs. The nature of the report is that the dwarves are doing something very stupid when told to do something morally questionable instead of objecting.
(0016507)
Infiltrator (reporter)
2011-03-24 03:51
edited on: 2011-03-24 06:33

Well, even if the intention is to disallow trading of wild animals/sentients, then the current behaviour is buggy anyway. Further, unless you are ethically against that, I don't really see the problem with doing so. Humans certainly did so; a lot. At the very least goblins and elves should be able to.


Footsy: Re the bugtracker and the search function: You have to admit that that isn't too intuitive. I only figured that out because I have no life. :P

Is there any way to make it so that there is a FAQ link which gives answers such as those?

(0018747)
Valdrax (reporter)
2011-09-21 00:22

Seems like the solution should be to remove cages containing wild animals & prisoners from the trade list.
(0018794)
AbuDhabi (reporter)
2011-10-13 03:45

Valdrax: Yes, that would work. Still, I think slave trading should be available to races that are fine with it (such as humans and goblins).
(0021688)
AbuDhabi (reporter)
2012-03-24 04:00

Can anyone check if this bug is still present in the current version?
(0021691)
Kogut (reporter)
2012-03-24 05:04

Yes, anyone (also you) can check this and produce save.
(0021704)
AbuDhabi (reporter)
2012-03-24 10:28

Kogut: Yessir. Attempting to do so. Will report on my findings.
(0021707)
AbuDhabi (reporter)
2012-03-24 14:09

http://dffd.wimbli.com/file.php?id=5985 [^]

I have replicated some of the functionality of my previous example save in the newest (.06) version of DF. Unfortunately, I don't have wild animals here, but caged dwarves, caged tame animals, caged thieves and caged goblin bowmen are available.

My findings:
Domesticated animals trade normally.
Semi-wild and trained animals trade normally (did it previously, just didn't think ahead to save).
Goblin thieves escape on attempt to bring them to depot.
Goblin bowmen escape on attempt to bring them to depot.
Dwarven entity members escape on attempt to bring them to the depot. If there are no traders available, the only other way to free them seems to be linking their cages to levers. If you do that, they deconstruct the cages when freed.

There are two unrelated bugs in the save. I'm almost sure they would have been found by now, but should I start bug filings anyway for them?
1. Two "Traders" have come with an immigration wave. They are Friendlies, but not members of the entity. They just stand around... until a dwarven caravan comes, in which case they join them. (This can be seen at http://dffd.wimbli.com/file.php?id=5986 [^])
2. Grass doesn't seem to want to regrow in the pasture on fire clay terrain. No idea why.

Could you please update the bug description with this new information?
(0021793)
AbuDhabi (reporter)
2012-03-27 08:50

Or at least change the version to indicate that it's a current problem.
(0021794)
Footkerchief (manager)
2012-03-27 09:05

The fact that the report is still open indicates that it's a current problem. Leaving the version alone lets us track how long it's been around.

Is the new information just about entity members?
(0021795)
AbuDhabi (reporter)
2012-03-27 09:33

None of this is strictly 'new', just a confirmation that it still happens pretty much verbatim in the current version.
(0023141)
Quietust (reporter)
2012-07-02 13:11
edited on: 2012-07-02 13:12

Some historical information which might be of interest:

In version 0.23.130.23a, there was a function which removed "untradeable" items and units from containers when they were picked up as part of a "Bring Item to Depot" job. Untradeable items consisted of artifacts, magical items, and Adamantine items (back then, they were quite special), and untradeable units consisted of any untameable creature (i.e. not having [PET], or having [PET_EXOTIC] without the dungeon master being present).

I have not confirmed whether or not this same logic is present in the current version, but it is highly likely that it is.

(0023475)
AbuDhabi (reporter)
2012-08-18 10:17

How does that interact with non-tame, but tameable animals being released?
(0023479)
Quietust (reporter)
2012-08-19 18:22

Are you sure that the escaping wild animals had [PET] and not [PET_EXOTIC]?
(0023622)
AbuDhabi (reporter)
2012-09-29 23:41

You can probably check in the 0.31 save. I don't have installed at the moment, though.
(0023779)
Quietust (reporter)
2012-12-17 12:27
edited on: 2012-12-17 12:37

I've just located the code for this behavior in 0.34.11 and it is pretty much identical - the only notable differences are that the item check includes the dump/burning/melt flags and doesn't care about Adamantine (and has some other special logic for corpse pieces) and that the unit check for [PET_EXOTIC] doesn't have any requirement for the dungeon master being present (since it doesn't exist anymore).

With this information, I'm strongly inclined to say that this is not a bug, but I'd prefer Toady to have the final word on this.

(0023845)
Hairy Dude (reporter)
2013-02-08 15:34

When you order a cyclops cage to be hauled to the depot, you expect it to still be a cyclops cage when it gets there, rather than reverting to a -«+tin cage+»-. The dwarf in question decides that it's better to let himself and all his friends get killed than allow a sentient being to be sold into slavery. If dwarfs did this by mistake, or based on personality, or the creature actively escaped, that wouldn't be a bug. As it is, it happens every time.

The bug here is, I think, that specifically *creatures* get evicted from their containers. The cage is intended to render something harmless; whereas inanimate objects are just more compact in a container, and dumping them on the floor doesn't pose a problem in itself.

- Issue History
Date Modified Username Field Change
2011-02-24 03:10 AbuDhabi New Issue
2011-02-24 05:37 Logical2u Relationship added duplicate of 0000480
2011-02-24 09:03 Footkerchief Relationship replaced has duplicate 0000480
2011-02-24 09:03 Footkerchief Issue Monitored: bicker x 2
2011-02-24 09:03 Footkerchief Issue Monitored: smjjames
2011-02-24 09:03 Footkerchief Issue Monitored: kwieland
2011-02-24 09:03 Footkerchief Issue Monitored: madk
2011-02-24 09:03 Footkerchief Issue Monitored: Darth GW7
2011-02-24 09:03 Footkerchief Relationship added related to 0002477
2011-02-24 09:04 Footkerchief Relationship added has duplicate 0001839
2011-02-24 09:04 Footkerchief Relationship added has duplicate 0001851
2011-02-24 09:04 Footkerchief Relationship added has duplicate 0002384
2011-02-24 09:05 Footkerchief Summary Prisoners and non-tame animals released when brought to Depot => Prisoners and non-tame animals released when brought to Trade Depot
2011-02-24 12:03 Footkerchief Product Version 0.31.19 => 0.31.01
2011-02-24 13:06 AbuDhabi Note Added: 0015472
2011-03-22 09:40 Footkerchief Summary Prisoners and non-tame animals released when brought to Trade Depot => Prisoners and (wild?) animals released when brought to Trade Depot
2011-03-22 09:40 Footkerchief Relationship added has duplicate 0004306
2011-03-22 10:32 rpetiger Note Added: 0016479
2011-03-22 10:43 Footkerchief Note Added: 0016480
2011-03-22 11:14 jfs Note Added: 0016481
2011-03-22 11:54 Hieronymous Alloy Issue Monitored: Hieronymous Alloy
2011-03-23 08:38 AbuDhabi Note Added: 0016492
2011-03-24 03:51 Infiltrator Note Added: 0016507
2011-03-24 06:33 Infiltrator Note Edited: 0016507 View Revisions
2011-03-24 06:33 Infiltrator Note Edited: 0016507 View Revisions
2011-06-04 14:59 Put Issue Monitored: Put
2011-06-12 11:34 Drake1500 Issue Monitored: Drake1500
2011-09-21 00:22 Valdrax Note Added: 0018747
2011-10-13 03:45 AbuDhabi Note Added: 0018794
2012-03-24 04:00 AbuDhabi Note Added: 0021688
2012-03-24 05:04 Kogut Note Added: 0021691
2012-03-24 07:38 Footkerchief Issue Monitored: Kogut
2012-03-24 08:34 Kogut Issue End Monitor: Kogut
2012-03-24 10:28 AbuDhabi Note Added: 0021704
2012-03-24 14:09 AbuDhabi Note Added: 0021707
2012-03-26 09:09 AbuDhabi Tag Attached: 0.34.06
2012-03-26 09:10 AbuDhabi Tag Attached: trade
2012-03-26 09:18 AbuDhabi Tag Attached: animals
2012-03-26 09:18 AbuDhabi Tag Attached: tame
2012-03-26 09:18 AbuDhabi Tag Attached: cages
2012-03-26 09:25 AbuDhabi Tag Attached: hauling
2012-03-26 09:25 AbuDhabi Tag Attached: Save Included
2012-03-26 09:25 AbuDhabi Tag Attached: traders
2012-03-27 08:50 AbuDhabi Note Added: 0021793
2012-03-27 09:05 Footkerchief Note Added: 0021794
2012-03-27 09:06 Footkerchief Summary Prisoners and (wild?) animals released when brought to Trade Depot => Prisoners and civ members (and wild animals?) released when brought to Trade Depot
2012-03-27 09:33 AbuDhabi Note Added: 0021795
2012-03-30 10:22 AbuDhabi Issue Monitored: AbuDhabi
2012-07-02 13:11 Quietust Note Added: 0023141
2012-07-02 13:12 Quietust Note Edited: 0023141 View Revisions
2012-08-18 10:17 AbuDhabi Note Added: 0023475
2012-08-19 18:22 Quietust Note Added: 0023479
2012-09-29 23:41 AbuDhabi Note Added: 0023622
2012-12-17 12:27 Quietust Note Added: 0023779
2012-12-17 12:37 Quietust Note Edited: 0023779 View Revisions
2013-02-08 15:34 Hairy Dude Note Added: 0023845
2014-08-04 08:33 smjjames Issue End Monitor: smjjames
2014-12-13 04:43 Knight Otu Relationship added has duplicate 0008618
2014-12-13 04:44 Knight Otu Assigned To => Knight Otu
2014-12-13 04:44 Knight Otu Status new => confirmed
2014-12-13 04:44 Knight Otu Summary Prisoners and civ members (and wild animals?) released when brought to Trade Depot => Prisoners, civ members, and (wild?) animals released when brought to Trade Depot


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker